Page MenuHomePhabricator

Prepare and check storage layer for wikimaniawiki
Closed, ResolvedPublic

Description

The new wiki is public and it was just created.

Event Timeline

Urbanecm created this task.Aug 2 2018, 12:28 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 2 2018, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm renamed this task from Prepare and check storage layer for wikimediawiki to Prepare and check storage layer for wikimaniawiki.Aug 2 2018, 12:44 PM

Mentioned in SAL (#wikimedia-operations) [2018-08-02T12:48:14Z] <marostegui> Sanitize wikimaniawiki - T201001

Marostegui triaged this task as Normal priority.Aug 2 2018, 12:52 PM
Marostegui moved this task from Triage to Done on the DBA board.
Marostegui edited projects, added Data-Services; removed Cloud-Services.
Marostegui added a subscriber: Marostegui.

I have sanitized this wiki and my new user was created correctly with all the sanitization done.
It is ready for cloud-services-team to create the views.

I have added the grants to labsdbuser so the script won't fail with access denied:

for i in labsdb1009 labsdb1010 labsdb1011; do echo $i; mysql.py -h$i -e " show grants for 'labsdbuser';" | grep -i wikimaniawiki;done
labsdb1009
GRANT SELECT, SHOW VIEW ON `wikimaniawiki\\_p`.* TO 'labsdbuser'
labsdb1010
GRANT SELECT, SHOW VIEW ON `wikimaniawiki\\_p`.* TO 'labsdbuser'
labsdb1011
GRANT SELECT, SHOW VIEW ON `wikimaniawiki\\_p`.* TO 'labsdbuser'
Bstorm added a comment.EditedAug 3 2018, 7:51 PM

It will still fail on that if we don't also create the '_p' DB manually, unfortunately. I can get that in a bit.

Bstorm added a comment.Aug 3 2018, 7:52 PM

I should say it "might fail" since it sometimes might work, as we found :-p

Bstorm closed this task as Resolved.Aug 3 2018, 9:05 PM
Bstorm claimed this task.

Scripts run and _p db created.